## ros-rolling-ament-cmake-cppcheck 0.11.4

=== debian/changelog ===
ros-rolling-ament-cmake-cppcheck (0.11.4-1focal) focal; urgency=high

  * Update forthcoming version in changelogs
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-ament-cmake-cppcheck (0.11.3-1focal) focal; urgency=high

  * [ament_cmake_cppcheck] Fix file exclusion behavior (#329 <https://github.com/ament/ament_lint/issues/329>)
    The EXCLUDE argument of the ament_cppcheck CMake function is
    a list, i.e. a multi-value keyword. As such, it needs to be placed
    out of the one-value keywords from the cmake_parse_arguments
    function call.
  * Update maintainers to Michael Jeronimo and Michel Hidalgo (#340 <https://github.com/ament/ament_lint/issues/340>)
  * Add cppcheck libraries option (#323 <https://github.com/ament/ament_lint/issues/323>)
    * adding ament_cppcheck libraries option
    * pass libraries option via CMake
    Co-authored-by: William Wedler <mailto:william.wedler@resquared.com>
  * Contributors: Abrar Rahman Protyasha, Audrow Nash, Will

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-ament-cmake-cppcheck (0.11.2-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 18 Jun 2021 07:00:00 -0000

ros-rolling-ament-cmake-cppcheck (0.11.1-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 18 Jun 2021 07:00:00 -0000

ros-rolling-ament-cmake-cppcheck (0.11.0-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 18 Jun 2021 07:00:00 -0000

ros-rolling-ament-cmake-cppcheck (0.10.6-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 06 May 2021 07:00:00 -0000

ros-rolling-ament-cmake-cppcheck (0.10.5-1focal) focal; urgency=high

  * Remove Claire as a maintainer. (#312 <https://github.com/ament/ament_lint/issues/312>)
    * Remove Claire as a maintainer.
    * Remove dead email addresses.
    * Remove more dead email addresses.
    * Switch setup.py maintainer to Audrow.
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 14 Apr 2021 07:00:00 -0000

ros-rolling-ament-cmake-cppcheck (0.10.4-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-rolling-ament-cmake-cppcheck (0.10.3-1focal) focal; urgency=high

  * 0.10.3
  * Contributors: Audrow Nash

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 03 Mar 2021 08:00:00 -0000

ros-rolling-ament-cmake-cppcheck (0.10.2-1focal) focal; urgency=high

  * Add Audrow as a maintainer (#294 <https://github.com/ament/ament_lint/issues/294>)
  * Drop trailing tab from package manifests (#291 <https://github.com/ament/ament_lint/issues/291>)
    Follow-up to 8bf194aa1ac282db5483dd0d3fefff8f325b0db8
  * Contributors: Audrow Nash, Scott K Logan

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 12 Feb 2021 08:00:00 -0000

ros-rolling-ament-cmake-cppcheck (0.10.1-1focal) focal; urgency=high

  * Update maintainer (#274 <https://github.com/ament/ament_lint/issues/274>)
    * update maintainer
    * add authors
  * Contributors: Claire Wang

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-ament-cmake-cppcheck (0.10.0-1focal) focal; urgency=high

  * Increase the ament_cppcheck timeout to 5 minutes. (#271 <https://github.com/ament/ament_lint/issues/271>)
    This will avoid timeouts on some slower platforms that we've
    started to see.
  * parse LANGUAGE argument case insensitive (#255 <https://github.com/ament/ament_lint/issues/255>)
  * Contributors: Chris Lalancette, Karsten Knese

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 18 Sep 2020 07:00:00 -0000

ros-rolling-ament-cmake-cppcheck (0.9.4-1focal) focal; urgency=high

  * Allow to configure language in cppcheck with a global var (#239 <https://github.com/ament/ament_lint/issues/239>)
    * Allow to configure language in cppcheck with a global var
    * Added feedback
    * added feedback
    * added feedback
    * Added feedback
    * Fixed cpplint
    * Print language message if it's not empty
    * fixed language message
    * Improved comment
  * Contributors: Alejandro Hernández Cordero

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 26 May 2020 07:00:00 -0000

ros-rolling-ament-cmake-cppcheck (0.9.3-1focal) focal; urgency=high

  * Fix lint_cmake errors (#245 <https://github.com/ament/ament_lint/issues/245>)
  * Updated cpplint and cppcheck to exclude directories and files (#234 <https://github.com/ament/ament_lint/issues/234>)
    * UPted cpplint and cppcheck to exclude directories and files
    * setting a global variable to configure automatic linting
    * Fixed cmake docbloc
    * Added feedback
    * Allowed cpplint to exclude files
    * Restored cpplint.py
  * Contributors: Alejandro Hernández Cordero, Michel Hidalgo

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 18 May 2020 07:00:00 -0000

ros-rolling-ament-cmake-cppcheck (0.9.2-1focal) focal; urgency=high

  * Increase timeout for cppcheck runs. (#229 <https://github.com/ament/ament_lint/issues/229>)
    On some platforms the cppcheck for the test_rclcpp package is hitting
    the timeout. Bumping the timeout on those platforms shows that the build
    takes about 130 seconds. So 180 should be sufficient room to grow
    without raising it too high.
  * Contributors: Steven! Ragnarök

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 08 May 2020 07:00:00 -0000

ros-rolling-ament-cmake-cppcheck (0.9.1-1focal) focal; urgency=high

  * 0.9.0
  * Behave better in multi-project cmake (#198 <https://github.com/ament/ament_lint/issues/198>)
    If a sub-project uses ament_lint, don't apply it to the top-level project headers
  * Contributors: Chris Lalancette, Dan Rose

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 10 Apr 2020 07:00:00 -0000

ros-rolling-ament-cmake-cppcheck (0.8.1-1focal) focal; urgency=high




