=== debian/control ===
Source: ros-rolling-ament-cmake-cppcheck
Section: misc
Priority: optional
Maintainer: Michael Jeronimo <michael.jeronimo@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake-copyright, ros-rolling-ament-cmake-core, ros-rolling-ament-cmake-lint-cmake, ros-rolling-ament-cmake-test, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-ament-cmake-cppcheck
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ament-cmake-core, ros-rolling-ament-cmake-test, ros-rolling-ament-cppcheck, ros-rolling-ros-workspace
Description: The CMake API for ament_cppcheck to perform static code analysis on C/C++ code using Cppcheck.
