## ros-rolling-ament-cmake-cppcheck 0.15.2

=== debian/changelog ===
ros-rolling-ament-cmake-cppcheck (0.15.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-ament-cmake-cppcheck (0.15.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 07 Jun 2023 00:00:00 -0000

ros-rolling-ament-cmake-cppcheck (0.15.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 27 Apr 2023 00:00:00 -0000

ros-rolling-ament-cmake-cppcheck (0.14.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-ament-cmake-cppcheck (0.14.0-1jammy) jammy; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#421 <https://github.com/ament/ament_lint/issues/421>)
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-ament-cmake-cppcheck (0.13.2-1jammy) jammy; urgency=high

  * [ament_lint_auto] General file exclusion with AMENT_LINT_AUTO_FILE_EXCLUDE (#386 <https://github.com/ament/ament_lint/issues/386>)
  * Update maintainers (#379 <https://github.com/ament/ament_lint/issues/379>)
  * Contributors: Abrar Rahman Protyasha, methylDragon

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-ament-cmake-cppcheck (0.13.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 09 May 2022 00:00:00 -0000

ros-rolling-ament-cmake-cppcheck (0.13.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-ament-cmake-cppcheck (0.12.3-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 08 Apr 2022 00:00:00 -0000

ros-rolling-ament-cmake-cppcheck (0.12.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 28 Mar 2022 00:00:00 -0000

ros-rolling-ament-cmake-cppcheck (0.12.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-ament-cmake-cppcheck (0.12.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 18 Feb 2022 00:00:00 -0000

ros-rolling-ament-cmake-cppcheck (0.11.4-1jammy) jammy; urgency=high

  * Update forthcoming version in changelogs
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-ament-cmake-cppcheck (0.11.3-1jammy) jammy; urgency=high

  * [ament_cmake_cppcheck] Fix file exclusion behavior (#329 <https://github.com/ament/ament_lint/issues/329>)
    The EXCLUDE argument of the ament_cppcheck CMake function is
    a list, i.e. a multi-value keyword. As such, it needs to be placed
    out of the one-value keywords from the cmake_parse_arguments
    function call.
  * Update maintainers to Michael Jeronimo and Michel Hidalgo (#340 <https://github.com/ament/ament_lint/issues/340>)
  * Add cppcheck libraries option (#323 <https://github.com/ament/ament_lint/issues/323>)
    * adding ament_cppcheck libraries option
    * pass libraries option via CMake
    Co-authored-by: William Wedler <mailto:william.wedler@resquared.com>
  * Contributors: Abrar Rahman Protyasha, Audrow Nash, Will

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-ament-cmake-cppcheck (0.11.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 18 Jun 2021 00:00:00 -0000

ros-rolling-ament-cmake-cppcheck (0.11.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 18 Jun 2021 00:00:00 -0000

ros-rolling-ament-cmake-cppcheck (0.11.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 18 Jun 2021 00:00:00 -0000

ros-rolling-ament-cmake-cppcheck (0.10.6-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 06 May 2021 00:00:00 -0000

ros-rolling-ament-cmake-cppcheck (0.10.5-1jammy) jammy; urgency=high

  * Remove Claire as a maintainer. (#312 <https://github.com/ament/ament_lint/issues/312>)
    * Remove Claire as a maintainer.
    * Remove dead email addresses.
    * Remove more dead email addresses.
    * Switch setup.py maintainer to Audrow.
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 14 Apr 2021 00:00:00 -0000

ros-rolling-ament-cmake-cppcheck (0.10.4-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-rolling-ament-cmake-cppcheck (0.10.3-1jammy) jammy; urgency=high

  * 0.10.3
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 03 Mar 2021 00:00:00 -0000

ros-rolling-ament-cmake-cppcheck (0.10.2-1jammy) jammy; urgency=high

  * Add Audrow as a maintainer (#294 <https://github.com/ament/ament_lint/issues/294>)
  * Drop trailing tab from package manifests (#291 <https://github.com/ament/ament_lint/issues/291>)
    Follow-up to 8bf194aa1ac282db5483dd0d3fefff8f325b0db8
  * Contributors: Audrow Nash, Scott K Logan

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 12 Feb 2021 00:00:00 -0000

ros-rolling-ament-cmake-cppcheck (0.10.1-1jammy) jammy; urgency=high

  * Update maintainer (#274 <https://github.com/ament/ament_lint/issues/274>)
    * update maintainer
    * add authors
  * Contributors: Claire Wang

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-rolling-ament-cmake-cppcheck (0.10.0-1jammy) jammy; urgency=high

  * Increase the ament_cppcheck timeout to 5 minutes. (#271 <https://github.com/ament/ament_lint/issues/271>)
    This will avoid timeouts on some slower platforms that we've

